# $Id: kdeedu.spec,v 1.20 2004/03/03 18:37:22 rexdieter Exp $

%define kdelibs_ver 6:%{version}
%define	monolithic 1
%define is_release 1 

Summary: Educational/Edutainment applications for KDE
Name: 	 kdeedu
Url:	 http://edu.kde.org/
Group:	 Amusements/Games
Epoch:	 0
Version: 3.2.1
Release: 0.fdr.0%{?dist_tag}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.2.1/src/kdeedu-3.2.1.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: kdelibs >= %{kdelibs_ver}
Requires(post,postun): /sbin/ldconfig

%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif
BuildRequires: libtool
BuildRequires: kdelibs-devel >= %{kdelibs_ver}

#Patch0: kde-libtool.patch
Patch1: kdeedu-3.1-xjdxgen.patch
Patch2: kdeedu-3.1-dt.patch
Patch3: kdeedu-3.1.3-gcc33.patch
Patch4: kdeedu-3.2.0-gcc34.patch

%if "%{?monolithic}" == "1"
Obsoletes: flashkard < %{epoch}:%{version}-%{release}
Obsoletes: kalzium  < %{epoch}:%{version}-%{release}
Obsoletes: keduca < %{epoch}:%{version}-%{release}
Obsoletes: kgeo < %{epoch}:%{version}-%{release}
Obsoletes: khangman < %{epoch}:%{version}-%{release}
Obsoletes: kiten < %{epoch}:%{version}-%{release}
Obsoletes: klettres < %{epoch}:%{version}-%{release}
Obsoletes: kmathtool < %{epoch}:%{version}-%{release}
Obsoletes: kmessedwords < %{epoch}:%{version}-%{release}
Obsoletes: kmplot < %{epoch}:%{version}-%{release}
Obsoletes: kpercentage < %{epoch}:%{version}-%{release}
Obsoletes: kstars < %{epoch}:%{version}-%{release}
Obsoletes: ktouch < %{epoch}:%{version}-%{release}
Obsoletes: kverbos < %{epoch}:%{version}-%{release}
Obsoletes: kvoctrain < %{epoch}:%{version}-%{release}
Obsoletes: libkdeedu < %{epoch}:%{version}-%{release}

Provides: flashkard = %{epoch}:%{version}-%{release}
Provides: kalzium  = %{epoch}:%{version}-%{release}
Provides: keduca = %{epoch}:%{version}-%{release}
Provides: kgeo = %{epoch}:%{version}-%{release}
Provides: khangman = %{epoch}:%{version}-%{release}
Provides: kiten = %{epoch}:%{version}-%{release}
Provides: klettres = %{epoch}:%{version}-%{release}
Provides: kmathtool = %{epoch}:%{version}-%{release}
Provides: kmessedwords = %{epoch}:%{version}-%{release}
Provides: kmplot = %{epoch}:%{version}-%{release}
Provides: kpercentage = %{epoch}:%{version}-%{release}
Provides: kstars = %{epoch}:%{version}-%{release}
Provides: ktouch = %{epoch}:%{version}-%{release}
Provides: kverbos = %{epoch}:%{version}-%{release}
Provides: kvoctrain = %{epoch}:%{version}-%{release}
Provides: libkdeedu = %{epoch}:%{version}-%{release}
%endif

%description
Educational/Edutainment applications for KDE

%package devel
Summary: Header files for %{name} 
Group: Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs-devel >= %{kdelibs_ver}
%description devel
This package contains header files for %{name}.

%package -n keduca
Summary: Tests and Exams
Group: 	 Amusements/Games 
Requires: %{name} = %{epoch}:%{version}-%{release}
%description -n keduca
Tests and Exams

%package -n kgeo
Summary: Interactive Geometry
Group:	 Amusements/Graphics 
Requires: %{name} = %{epoch}:%{version}-%{release}
%description -n kgeo
Interactive Geometry

%package -n klettres
Summary: French alphabet tutor
Group:	 Amusements/Games 
Requires: %{name} = %{epoch}:%{version}-%{release}
%description -n klettres
French alphabet tutor

%package -n kmessedwords
Summary: Letter Order Game
Group:	 Amusements/Games 
Requires: %{name} = %{epoch}:%{version}-%{release}
%description -n kmessedwords
Letter Order Game

%package -n kstars
Summary: Desktop Planetarium
Group:	 Amusements/Graphics 
Requires: %{name} = %{epoch}:%{version}-%{release}
%description -n kstars
Desktop Planetarium

%package -n ktouch
Summary: Touch Typing Tutor
Group:	 Amusements/Games 
Requires: %{name} = %{epoch}:%{version}-%{release}
%description -n ktouch
Touch Typing Tutor

%package -n kvoctrain
Summary: Vocabulary Trainer
Group:	 Amusements/Games 
Requires: %{name} = %{epoch}:%{version}-%{release}
%description -n kvoctrain
Vocabulary Trainer


%prep

%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
#patch1 -p1 -b .xjdxgen
%patch3 -p1 -b .gcc33
#patch4 -p1 -b .gcc34

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%configure \
  --program-prefix="%{?_program_prefix}" \
  --includedir=%{_includedir}/kde \
  --with-qt-libraries=$QTDIR/lib \
  --disable-rpath \
%if "%{?debug}" == "1"
  --enable-debug --enable-warnings  
%else
  --disable-dependency-tracking \
  --disable-debug --disable-warnings \
  --enable-final 
%endif

#--disable-kig-python-scripting \

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/kde/*
%{_datadir}/applnk/Edutainment
%{_datadir}/apps/*
%{_datadir}/config.kcfg/*
%{_datadir}/mimelnk/application/*
%{_datadir}/icons/*/*/*/*
#%{_datadir}/icons/ktouch
%{_datadir}/services/*
%{_libdir}/*
%lang(en) %doc %{_docdir}/HTML/en/*

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.1-0.fdr.0
- 3.2.1

* Thu Feb 26 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.0-0.fdr.1
- %%post/%%postun: /sbin/ldconfig

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.0-0.fdr.0
- 3.2.0

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 0:3.1.95-0.fdr.0
- 3.1.95

* Fri Dec 05 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.4-0.fdr.1
- (re)build on/for qt-3.2.x

* Thu May 15 2003 Rex Dieter <rexdieter at sf.net> 0:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- rebuild for release.

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.3
- disable xjdxgen patch on rh80 (doesn't compile) 

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- use epochs in Obsoletes/Provides/Requires.
- sync to rawhide's 3.1-1.0

* Fri Feb 07 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- kde-redhat versioning
- disable kiten on rh8.0 (doesn't compile)

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.

* Mon Jan 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc.6.0
- 3.1rc6
- make irrevocably monolithic... it's just too big to separate
  everything...

* Sat Dec 21 2002 Rex Dieter <rexdieter at sf.net> 3.0.5a-0
- 3.0.5a
- monolithic(=1)

* Sun Dec 08 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.0
- 3.1rc5
- TODO: fixup applnk dir ownership.

* Sun Dec  1 2002 Than Ngo <than@redhat.com> 3.1-0.3
- add missing defattr

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.2
- get rid of sub packages
- desktop issues

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- add fix for building xjdxgen

* Wed Nov 13 2002 Rex Dieter <rexdieter at sf.net> 3.0.5-0
- 3.0.5

* Mon Oct 14 2002 Rex Dieter <rexdieter at sf.net> -0.73.1.0
- fix klettres patch. 

* Thu Oct 10 2002 Than Ngo <than@redhat.com> 3.0.4-0.73.1
- 3.0.4

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sat May 25 2002 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
